unit RakUndoRedoMonitorInterface;
///////////////////////////////////////////////////////////////////////////////}
// Delphi 5 Implementation
//
// Copyright (c) 2000 by Richard Kaspar
// ("http://www.kasparsoft.de")
//
// Definitions:
// - "Package" refers to the collection of files distributed by
//   the Copyright Holder, and derivatives of that collection of
//   files created through textual modification.
// - "Standard Version" refers to such a Package if it has not
//   been modified, or has been modified in accordance with the
//   wishes of the Copyright Holder.
// - "Copyright Holder" is whoever is name in the copyright or
//   copyrights for the package.
// - "You" is you, if you're thinking about copying or distributing
//   this Package.
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Package"), to deal in the Package without restriction,
// including without limitation the rights to use, copy, modify,
// merge, publish, distribute, sublicense, and/or sell copies of the
// Package, and to permit persons to whom the Package is furnished
// to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Package.
//
// You may modify your copy of this Package in any way, provided
// that you insert a prominent notice in each changed file stating
// how and when you changed a file, and provided that you do at
// least one of the following:
//
// a) allow the Copyright Holder to include your modifications in
// the Standard Version of the Package.
//
// b) use the modified Package only within your corporation or
// organization.
//
// c) rename any non standard executables, units, and classes so
// the names do not conflict with standard executables, units, and
// classes, and provide a separate manual page that clearly documents
// how it differs from the standard version.
//
// d) make other distribution arrangements with the Copyright Holder.
//
// The name of the Copyright Holder may not be used to endorse or
// promote products derived from this Package without specific prior
// written permission.
//
// THE PACKAGE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
// TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
// PACKAGE OR THE USE OR OTHER DEALINGS IN THE PACKAGE.
{$I RAK.INC}

interface

uses windows, messages;

const
  URM_REGISTER_HISTORY = WM_USER + 8500;
  URM_UNREGISTER_HISTORY = WM_USER + 8501;

  URM_ADDING_STARTED = WM_USER + 8510;
  URM_ADDING_ENDED = WM_USER + 8519;

  URM_UNREDOING_COMMAND = WM_USER + 8530;
  URM_UNREDOING_FAILED = WM_USER + 8531;
  URM_UNREDOING_AFTER_COMMAND = WM_USER + 8532;
  URM_UNREDOING_AFTER_FAILED = WM_USER + 8533;

  DWDATA_URM_ADDING_CHANGED = 1;
  DWDATA_URM_HISTORY_CHANGED = 2;
  HISTOY_CHANGED_APPLICATIONNAME = 'History for RakUndoRedoMonitor';
  HISTOY_CHANGED_TAGNAME = 'Tag with historydata';

type
  TUrmRegisterHistory = packed record
    Msg: Cardinal;
    Unused1: Longint;
    Unused2: Longint;
    HistoryId: Longint; // 0: Die Verfolgung der History wurde abgelehnt
  end;
                     
  TUrmUnregisterHistory = packed record
    Msg: Cardinal;
    Unused: Longint;
    HistoryId: Longint;
    Result: Longint;
  end;

  TUrmAddingStarted = packed record
    Msg: Cardinal;
    Unused: Longint;
    HistoryId: Longint;
    Result: Longint;
  end;

  TUrmAddingEnded = packed record
    Msg: Cardinal;
    Unused: Longint;
    HistoryId: Longint;
    Result: Longint;
  end;

  TUrmUnRedoingCommand = packed record
    Msg: Cardinal;
    HistoryId: Longint;
    CmdId: Longint;
    Result: Longint;
  end;

  TUrmUnRedoingFailed = packed record
    Msg: Cardinal;
    HistoryId: Longint;
    CmdId: Longint;
    Result: Longint;
  end;



implementation

end.
